Deployments Issues

Deployments Issues

Postby gal_lupus » Tue 11 Mar 2008 21:46

Hi,

I get the following message error from a deployment of a Web service.
The Windows 2003 server has already installed one standar version of PosgreSQL. The new web service is using the proffesional version 3.30.23.0.
I should not uninstall the previous version. I am copying the professional assemblies in the \bin directory. License an web.config file are ok.

Could you help me?
Thanks
Galina

Compiler Error Message: CS0433: The type 'CoreLab.PostgreSql.PgSqlCommand' exists in both 'c:\WINDOWS\assembly\GAC_MSIL\CoreLab.PostgreSql\3.0.10.0__09af7300eec23701\CoreLab.PostgreSql.dll' and 'c:\WINDOWS\microsoft.net\Framework64\v2.0.50727\Temporary ASP.NET Files\wdc_servernew\0a3893c6\20b31c54\assembly\dl3\0bd98e8f\00712641_4243c801\CoreLab.PostgreSql.DLL'
gal_lupus
 
Posts: 10
Joined: Mon 02 Jan 2006 22:21

Postby Alexey.mdr » Wed 12 Mar 2008 08:23

Sometimes this message can occur when there is an assembly version conflict.
Do you have references to the same dlls with different versions.
In Visual Studio make a right click on your web site and check "References" in properties.
You can remove the old version dll reference.

There is another possible problem source.
You might have classes within the same application's bin folder
that were earlier compiled with different Core Lab dlls.
Alexey.mdr
 
Posts: 729
Joined: Thu 13 Dec 2007 10:24

Postby gal_lupus » Wed 12 Mar 2008 18:06

Hi I have checked and I do not have any reference to te old assemblies neither any class in the bin folder with reference to the old assembiles. I have recompile the web service several times in the develoment PC where old assemblies are not available and it works fine.

Any help would be appreciated
Thanks
Galina
gal_lupus
 
Posts: 10
Joined: Mon 02 Jan 2006 22:21

Postby Alexey.mdr » Thu 13 Mar 2008 13:54

Assembly from the server's GAC and application bin folder are identical in names, versions, etc.
But at the same time they are different in content. Because of this, there are two options:
a) You could make Minimal installation of the Professional edition on the server.
b) If it is not possible you need to download a new build of the Professional edition (3.50)
and install it on the developer machine (you have got PostgreSQLDirect Professional 3.30 right?).
Then recompile the current project with the new Core Lab assemblies.
Alexey.mdr
 
Posts: 729
Joined: Thu 13 Dec 2007 10:24


Return to dotConnect for PostgreSQL